×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Bldmake fails with "EPOCROOT environment variable must be capitalised" error (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search
debjit.roy (Talk | contribs)
(Debjit.roy -)
hamishwillee (Talk | contribs)
 
(5 intermediate revisions by one user not shown)
Line 1: Line 1:
[[Category:Symbian C++]][[Category:Known Issue]][[Category:S60 2nd Edition]][[Category:S60 3rd Edition]][[Category:SDK]]
+
{{Archived|timestamp=20120314044011|user=roy.debjit| }}
__NOTOC__
+
[[Category:Symbian C++]][[Category:Known Issue]][[Category:S60 2nd Edition (initial release)]][[Category:S60 3rd Edition (initial release)]][[Category:SDK]][[Category:S60 3rd Edition FP1]][[Category:S60 3rd Edition FP2]]
__NOEDITSECTION__
+
{{ArticleMetaData <!-- v1.2 -->
{{KBKI}}
+
{{ArticleMetaData
+
|id=KIS000609
+
|platform=S60 2nd Edition<br>S60 3rd Edition
+
|devices=
+
|category=Symbian C++
+
|subcategory=SDK
+
|creationdate=March 30, 2007
+
|keywords=
+
 
+
 
|sourcecode= <!-- Link to example source code (e.g. [[Media:The Code Example ZIP.zip]]) -->
 
|sourcecode= <!-- Link to example source code (e.g. [[Media:The Code Example ZIP.zip]]) -->
 
|installfile= <!-- Link to installation file (e.g. [[Media:The Installation File.sis]]) -->
 
|installfile= <!-- Link to installation file (e.g. [[Media:The Installation File.sis]]) -->
|sdk=<!-- SDK(s) built and tested against (e.g. [http://linktosdkdownload/ Nokia Qt SDK 1.1]) -->
+
|devices= <!-- Devices tested against - e.g. ''devices=Nokia 6131 NFC, Nokia C7-00'') -->
|devicecompatability=<!-- Compatible devices (e.g.: All* (must have GPS) ) -->
+
|sdk= <!-- SDK(s) built and tested against (e.g. [http://linktosdkdownload/ Nokia Qt SDK 1.1]) -->
|signing=<!-- Empty or one of Self-Signed, DevCert, Manufacturer -->
+
|platform= S60 2nd Edition<br>S60 3rd Edition
|capabilities=<!-- Capabilities required (e.g. Location, NetworkServices.) -->
+
|devicecompatability= <!-- Compatible devices (e.g.: All* (must have GPS) ) -->
|author=[[User:Technical writer 1]]
+
|dependencies= <!-- Any other/external dependencies e.g.: Google Maps Api v1.0 -->
 +
|signing= <!-- Empty or one of Self-Signed, DevCert, Manufacturer -->
 +
|capabilities= <!-- Capabilities required by the article/code example (e.g. Location, NetworkServices. -->
 +
|keywords= <!-- APIs, classes and methods (e.g. QSystemScreenSaver, QList, CBase -->
 +
|language= <!-- Language category code for non-English topics - e.g. Lang-Chinese -->
 +
|translated-by= <!-- [[User:XXXX]] -->
 +
|translated-from-title= <!-- Title only -->
 +
|translated-from-id= <!-- Id of translated revision -->
 +
|review-by= <!-- After re-review: [[User:username]] -->
 +
|review-timestamp= <!-- After re-review: YYYYMMDD -->
 +
|update-by= <!-- After significant update: [[User:username]]-->
 +
|update-timestamp= <!-- After significant update: YYYYMMDD -->
 +
|creationdate= 20070330
 +
|author= [[User:Technical writer 1]]
 +
<!-- The following are not in current metadata -->
 +
|id= KIS000609
 
}}
 
}}
  
{{Archived|timestamp=20120314044011|user=roy.debjit| }}
+
== Description ==
==Overview==
+
{{Abstract|In some environments, the bldmake command may fail with the "EPOCROOT environment variable must be capitalised" error.}} This error is returned by the e32env.pm script when opening a pipe to the command line fails.
In some environments, the bldmake command may fail with the "EPOCROOT environment variable must be capitalised" error.
+
  
==Description==
+
==Solution==
This error is returned by the e32env.pm script when opening a pipe to the command line fails.
+
Typically this error is related to the PATH environment variable. bldmake fails if the system32 directory in the PATH is defined using the SystemRoot variable, that is
 +
%SystemRoot%\system32
 +
To fix this, modify the PATH to use an absolute path for \system32. For example,
 +
C:\Windows\system32
  
==Solution==
+
Note: With S60 SDKs from S60 2nd Edition, EPOCROOT should not be explicitly defined. Instead, the active development configuration is selected with the devices.exe utility.
Typically this error is related to the PATH environment variable. bldmake fails if the system32 directory in the PATH is defined using the SystemRoot variable, that is<br>%SystemRoot%\system32<br>To fix this, modify the PATH to use an absolute path for \system32. For example,<br>C:\Windows\system32<br>Note: With current S60 SDKs (2nd Edition and later), EPOCROOT should not be explicitly defined. Instead, the active development configuration is selected with the devices.exe utility.
+
  
 
    
 
    
 
<!-- Translation --> [[ja:Bldmake が、"EPOCROOT environment variable must be capitalised"とエラーを表示]]
 
<!-- Translation --> [[ja:Bldmake が、"EPOCROOT environment variable must be capitalised"とエラーを表示]]

Latest revision as of 09:45, 15 June 2012

Archived.pngArchived: This article is archived because it is not considered relevant for third-party developers creating commercial solutions today. If you think this article is still relevant, let us know by adding the template {{ReviewForRemovalFromArchive|user=~~~~|write your reason here}}.

Article Metadata
CompatibilityArticle
Created: User:Technical writer 1 (30 Mar 2007)
Last edited: hamishwillee (15 Jun 2012)

[edit] Description

In some environments, the bldmake command may fail with the "EPOCROOT environment variable must be capitalised" error. This error is returned by the e32env.pm script when opening a pipe to the command line fails.

[edit] Solution

Typically this error is related to the PATH environment variable. bldmake fails if the system32 directory in the PATH is defined using the SystemRoot variable, that is

%SystemRoot%\system32

To fix this, modify the PATH to use an absolute path for \system32. For example,

C:\Windows\system32

Note: With S60 SDKs from S60 2nd Edition, EPOCROOT should not be explicitly defined. Instead, the active development configuration is selected with the devices.exe utility.

This page was last modified on 15 June 2012, at 09:45.
87 page views in the last 30 days.
×